Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class DisclosureEvent

    java.lang.Object
      java.util.EventObject
          com.google.gwt.user.client.ui.DisclosureEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DisclosureEvent

extends java.util.EventObject

Event object containing information about `DisclosurePanel` changes.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DisclosureEvent(DisclosurePanel sender)` Creates a new instance of the event object.

Method Summary

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisclosureEvent

    public DisclosureEvent(DisclosurePanel sender)

  Creates a new instance of the event object.

  Parameters:
    `sender` - the panel from which the event is originating.
  See Also:
    `DisclosureHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD